GT640 is not supported by the 340.65, but release notes say opposite

Hello,

Could you please help to update driver for GT640 (currently use 304.125-6).
I have installed 340.65, but got the following:

01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT 640] (rev a1)

[ 1471.835] () NVIDIA(0): Depth 24, (–) framebuffer bpp 32
[ 1471.835] (==) NVIDIA(0): RGB weight 888
[ 1471.835] (==) NVIDIA(0): Default visual is TrueColor
[ 1471.835] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[ 1471.835] (
) NVIDIA(0): Option “TripleBuffer” “1”
[ 1471.835] () NVIDIA(0): Option “ConnectedMonitor” “DFP-1”
[ 1471.835] (
) NVIDIA(0): Enabling 2D acceleration
[ 1471.835] (**) NVIDIA(0): ConnectedMonitor string: “DFP-1”
[ 1471.837] (EE) NVIDIA(GPU-0): The NVIDIA GPU at PCI:1:0:0 is not supported by the 340.65
[ 1471.837] (EE) NVIDIA(GPU-0): NVIDIA driver.
[ 1471.837] (EE) NVIDIA(GPU-0): Failed to initialize the NVIDIA graphics device!
[ 1471.837] (EE) NVIDIA(0): Failing initialization of X screen 0
[ 1471.837] (II) UnloadModule: “nvidia”
[ 1471.837] (II) UnloadSubModule: “wfb”
[ 1471.837] (II) UnloadSubModule: “fb”

Can you please generate and attach an nvidia-bug-report.log.gz file?